List policies
curl --request GET \
--url https://semgrep.dev/api/policies/v1/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/policies/v1/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/policies/v1/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policies": [
{
"id": "1",
"name": "Global Policy",
"slug": "global_policy",
"productType": "PRODUCT_TYPE_SAST",
"isDefault": true
},
{
"id": "2",
"name": "Semgrep test",
"slug": "semgrep_test",
"productType": "PRODUCT_TYPE_SAST",
"isDefault": false
},
{
"id": "3",
"name": "Global Secrets Policy",
"slug": "global_secrets_policy",
"productType": "PRODUCT_TYPE_SECRETS",
"isDefault": true
}
]
}Policies
List policies
deprecated
List all policies for a given deployment.
GET
/
api
/
policies
/
v1
/
deployments
/
{deploymentId}
List policies
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier for the deployment.
Example:
123
Response
200 - application/json
OK
List of Policies associated with the given Deployment.
Show child attributes
Show child attributes
Example:
[
{
"id": "1",
"name": "Global Policy",
"slug": "global_policy",
"productType": "PRODUCT_TYPE_SAST",
"isDefault": true
},
{
"id": "2",
"name": "Semgrep test",
"slug": "semgrep_test",
"productType": "PRODUCT_TYPE_SAST",
"isDefault": false
},
{
"id": "3",
"name": "Global Secrets Policy",
"slug": "global_secrets_policy",
"productType": "PRODUCT_TYPE_SECRETS",
"isDefault": true
}
]
Was this page helpful?
⌘I